アップロードを確認
サイズ、チェックサム、形式を確認します。アップロード完了だけでは入荷済みにはなりません。
GET
/api/v1/inventory/products/{product_id}/digital-uploads/{upload_id}cURLリクエスト
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url https://shop.onshopently.com/api/v1/inventory/products/example/digital-uploads/00000000-0000-4000-8000-000000000002 \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
レスポンス
{
"data": {
"consumer_id": "00000000-0000-4000-8000-000000000001",
"consumer_kind": "digital_import",
"expires_at": "2026-11-03T13:00:00Z",
"filename": "codes.txt",
"id": "00000000-0000-4000-8000-000000000002",
"product_id": "example",
"purpose": "digital_import",
"received_bytes": 18,
"sha256": "636e307039d9ca307836e9a93ea492425545bcccb6cb4ef935ab635560db828a",
"size_bytes": 18,
"status": "ready"
},
"meta": {
"request_id": "example-request"
}
}